## com.sun.grizzly.connectioncache.spi.transport
Class ConnectionCacheFactory

    java.lang.Object
      com.sun.grizzly.connectioncache.spi.transport.ConnectionCacheFactory

    public final class ConnectionCacheFactory

extends Object

A factory class for creating connections caches. Note that a rather unusual syntax is needed for calling these methods: ConnectionCacheFactory.<V>makeXXXCache() This is required because the type variable V is not used in the parameters of the factory method (there are no parameters).

Method Summary

`static

`<C extends Closeable> InboundConnectionCache<C>`

`

`makeBlockingInboundConnectionCache(String cacheType, int highWaterMark, int numberToReclaim, Logger logger)`

`static

`<C extends Closeable> OutboundConnectionCache<C>`

`

`makeBlockingOutboundConnectionCache(String cacheType, int highWaterMark, int numberToReclaim, int maxParallelConnections, Logger logger)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### makeBlockingOutboundConnectionCache

    public static <C extends Closeable> OutboundConnectionCache<C> makeBlockingOutboundConnectionCache(String cacheType,
                                                                                                       int highWaterMark,
                                                                                                       int numberToReclaim,
                                                                                                       int maxParallelConnections,
                                                                                                       Logger logger)

### makeBlockingInboundConnectionCache

    public static <C extends Closeable> InboundConnectionCache<C> makeBlockingInboundConnectionCache(String cacheType,
                                                                                                     int highWaterMark,
                                                                                                     int numberToReclaim,
                                                                                                     Logger logger)

Copyright © 2008 SUN Microsystems. All Rights Reserved.